Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1977649 - python-whoosh fails to build with Sphinx 4.0.2
Summary: python-whoosh fails to build with Sphinx 4.0.2
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-whoosh
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert Kuska
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3.10 F35FTBFS 1973718
TreeView+ depends on / blocked
 
Reported: 2021-06-30 08:30 UTC by Karolina Surma
Modified: 2023-04-03 10:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-11 09:33:11 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Karolina Surma 2021-06-30 08:30:57 UTC
python-whoosh fails to build with Sphinx 4.0.2 in Fedora 35 (currently Rawhide).

+ sphinx-build docs/source docs/html
Running Sphinx v4.0.2
making output directory... done
...
reading sources... [ 22%] api/idsets
reading sources... [ 24%] api/index
reading sources... [ 25%] api/lang/morph_en
reading sources... [ 27%] api/lang/porter
reading sources... [ 29%] api/lang/wordnet
reading sources... [ 31%] api/matching
/builddir/build/BUILD/Whoosh-2.7.4/src/whoosh/collectors.py:docstring of whoosh.collectors.UnlimitedCollector:5: WARNING: Field list ends without a blank line; unexpected unindent.
/builddir/build/BUILD/Whoosh-2.7.4/src/whoosh/formats.py:docstring of whoosh.formats.Existence:8: WARNING: Field list ends without a blank line; unexpected unindent.
Exception occurred:
  File "/usr/lib/python3.10/site-packages/sphinx/util/typing.py", line 112, in restify
    elif cls in INVALID_BUILTIN_CLASSES:
TypeError: unhashable type: 'NullMatcherClass'

For the logs from testing build attempts, see:
https://copr.fedorainfracloud.org/coprs/ksurma/pygments-2.9.0/package/python-whoosh/

You can test you package using Koji scratch build
koji build --scratch <srpm>

For details regarding the Sphinx change, see https://fedoraproject.org/wiki/Changes/Sphinx4
Let us know here if you have any questions. Thank you!

Comment 1 Fedora Release Engineering 2021-08-01 04:23:09 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 35.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-08-25).

A week before the mass branching of Fedora 36 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 34 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-36/f-36-key-tasks.html

Comment 2 Ben Cotton 2021-08-10 13:10:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 3 Karolina Surma 2021-08-11 09:33:11 UTC
python-whoosh builds fine with recently updated Sphinx 4.1.2. I've submitted the build to Koji against F35 and Rawhide (F36).


Note You need to log in before you can comment on or make changes to this bug.